/*
 * GridDownsampler.hpp
 *
 *  Created on: Jun 9, 2016
 *      Author: heber
 */


#ifndef GRIDDOWNSAMPLER_HPP_
#define GRIDDOWNSAMPLER_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <map>

#include "JobMarket/types.hpp"

#include "Fragmentation/Summation/Containers/MPQCData.hpp"

class SamplingGridProperties;

/** This is a functor that allows easy downsampling of a set of grids contained in
 * MPQC instances.
 */
struct GridDownsampler
{
  static void downsample(
      const std::map<JobId_t, MPQCData> &_shortrangedata,
      const SamplingGridProperties &_domain,
      std::map<JobId_t, MPQCData> &_shortrangedata_downsampled
      );
};


#endif /* GRIDDOWNSAMPLER_HPP_ */
